Package org.eclipse.lemminx.dom

## Class DTDAttlistDecl

- java.lang.Object
- - org.eclipse.lemminx.dom.DOMNode
  - - org.eclipse.lemminx.dom.DTDDeclNode
    - - org.eclipse.lemminx.dom.DTDAttlistDecl

All Implemented Interfaces:
  `DOMRange`, `Node`

    public class DTDAttlistDecl
    extends DTDDeclNode

DTD Attribute List declaration

### Field Summary

Fields
`DTDDeclParameter` `attributeName` Format: "" or
`DTDDeclParameter` `attributeType`
`DTDDeclParameter` `attributeValue`

### Fields inherited from class org.eclipse.lemminx.dom.DTDDeclNode

`declType, unrecognized`

### Fields inherited from class org.eclipse.lemminx.dom.DOMNode

`DTD_ATT_LIST_NODE, DTD_DECL_NODE, DTD_ELEMENT_DECL_NODE, DTD_ENTITY_DECL_NODE, DTD_NOTATION_DECL, NULL_VALUE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`DTDAttlistDecl​(int start, int end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttributeName()` Returns the attribute name
`String` `getAttributeType()`
`String` `getAttributeValue()`
`String` `getElementName()` Returns the element name
`List<DTDAttlistDecl>` `getInternalChildren()`
`String` `getNodeName()`
`short` `getNodeType()`
`boolean` `isRootAttlist()` Returns true if this node's parent is the Doctype node.
`void` `setAttributeName​(int start, int end)`
`void` `setAttributeType​(int start, int end)`
`void` `setAttributeValue​(int start, int end)`

### Methods inherited from class org.eclipse.lemminx.dom.DTDDeclNode

`addNewParameter, getDeclType, getName, getNameParameter, getOwnerDocType, getParameterAtIndex, getParameters, getReferencedElementNameAt, getUnrecognized, isInNameParameter, setDeclType, setName, setUnrecognized, updateLastParameterEnd`

### Methods inherited from class org.eclipse.lemminx.dom.DOMNode

`addChild, appendChild, cloneNode, compareDocumentPosition, findAttrAt, findAttrAt, findDTDDeclParameterAt, findDTDDeclParameterAt, findNodeAt, findNodeBefore, findNodeOrAttrAt, findTextAt, getAttribute, getAttributeAtIndex, getAttributeNode, getAttributeNode, getAttributeNodes, getAttributes, getBaseURI, getChild, getChildNodes, getChildren, getChildrenWithAttributeValue, getEnd, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOrphanEndElement, getOrphanEndElement, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPreviousNonTextSibling, getPreviousSibling, getStart, getTextContent, getUserData, hasAttribute, hasAttributes, hasChildNodes, insertBefore, isAttribute, isCDATA, isCharacterData, isChildOfOwnerDocument, isClosed, isComment, isDefaultNamespace, isDoctype, isDTDAttListDecl, isDTDElementDecl, isDTDEntityDecl, isDTDNotationDecl, isElement, isEqualNode, isGenericDTDDecl, isIncluded, isIncluded, isOwnerDocument, isProcessingInstruction, isProlog, isSameNode, isSupported, isText, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setAttribute, setAttributeNode, setNodeValue, setPrefix, setTextContent, setUserData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### attributeName

    public DTDDeclParameter attributeName

Format: "" or

     >

#### attributeType

    public DTDDeclParameter attributeType

#### attributeValue

    public DTDDeclParameter attributeValue

### Constructor Detail

#### DTDAttlistDecl

    public DTDAttlistDecl​(int start,
                          int end)

### Method Detail

#### getNodeName

    public String getNodeName()

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `DTDDeclNode`

#### getElementName

    public String getElementName()

Returns the element name

Returns:
  the element name

#### getAttributeName

    public String getAttributeName()

Returns the attribute name

Returns:
  the attribute name

#### setAttributeName

    public void setAttributeName​(int start,
                                 int end)

#### getAttributeType

    public String getAttributeType()

#### setAttributeType

    public void setAttributeType​(int start,
                                 int end)

#### getAttributeValue

    public String getAttributeValue()

#### setAttributeValue

    public void setAttributeValue​(int start,
                                  int end)

#### getNodeType

    public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DTDDeclNode`

#### getInternalChildren

    public List<DTDAttlistDecl> getInternalChildren()

#### isRootAttlist

    public boolean isRootAttlist()

Returns true if this node's parent is the Doctype node. This is used because an Attlist declaration can have multiple attribute declarations within a tag that are each represented by this class.